Specs (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.specs

## Class Specs

- java.lang.Object
- - org.gradle.api.specs.Specs

-     public class Specs
      extends java.lang.Object

  Provides a number of `Spec` implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Spec<java.lang.Object>` | `SATISFIES_ALL` |
    `static Spec<java.lang.Object>` | `SATISFIES_NONE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Specs​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> Spec<T>` | `convertClosureToSpec​(groovy.lang.Closure closure)` |
    `static <T> Spec<T>` | `intersect​(java.util.Collection<? extends Spec<? super T>> specs)` | Returns a spec that selects the intersection of those items selected by the given specs.
    `static <T> Spec<T>` | `intersect​(Spec<? super T>... specs)` | Returns a spec that selects the intersection of those items selected by the given specs.
    `static <T> Spec<T>` | `negate​(Spec<? super T> spec)` | Returns a spec that selects everything that is not selected by the given spec.
    `static <T> Spec<T>` | `satisfyAll​()` |
    `static <T> Spec<T>` | `satisfyNone​()` |
    `static <T> Spec<T>` | `union​(java.util.Collection<? extends Spec<? super T>> specs)` | Returns a spec that selects the union of those items selected by the provided spec.
    `static <T> Spec<T>` | `union​(Spec<? super T>... specs)` | Returns a spec that selects the union of those items selected by the provided spec.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SATISFIES_ALL

          public static final Spec<java.lang.Object> SATISFIES_ALL

    - #### SATISFIES_NONE

          public static final Spec<java.lang.Object> SATISFIES_NONE

  - ### Constructor Detail

    - #### Specs

          public Specs​()

  - ### Method Detail

    - #### satisfyAll

          public static <T> Spec<T> satisfyAll​()

    - #### satisfyNone

          public static <T> Spec<T> satisfyNone​()

    - #### convertClosureToSpec

          public static <T> Spec<T> convertClosureToSpec​(groovy.lang.Closure closure)

    - #### intersect

          @SafeVarargs
          public static <T> Spec<T> intersect​(Spec<? super T>... specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### intersect

          public static <T> Spec<T> intersect​(java.util.Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the intersection of those items selected by the given specs. Returns a spec that selects everything when no specs provided.

    - #### union

          @SafeVarargs
          public static <T> Spec<T> union​(Spec<? super T>... specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### union

          public static <T> Spec<T> union​(java.util.Collection<? extends Spec<? super T>> specs)

      Returns a spec that selects the union of those items selected by the provided spec. Selects everything when no specs provided.

    - #### negate

          public static <T> Spec<T> negate​(Spec<? super T> spec)

      Returns a spec that selects everything that is not selected by the given spec.